org.springframework.cloud.dataflow.rest.resource.about

## Class Dependency

- java.lang.Object
- - org.springframework.cloud.dataflow.rest.resource.about.Dependency

-     public class Dependency
      extends Object

  Holds dependency information of a lbrary used by Spring Cloud Dataflow.
  Author:
    Gunnar Hillert, Glenn Renfro

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dependency()` Default constructor for serialization frameworks.
    `Dependency(String name, String version, String checksumsha1, String checksumsha256, String url)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getChecksumSha1()` Retrieve the current checksumSha1 for the `Dependency`
    `String` | `getChecksumSha256()` Retrieve the current checksumSha256 for the `Dependency`
    `String` | `getName()` Retrieve the current name for the `Dependency`
    `String` | `getUrl()` Retrieve the current url for the `Dependency`
    `String` | `getVersion()` Retrieve the current version for the `Dependency`
    `void` | `setChecksumSha1(String checksumSha1)` Establish the checksumSha1 for the `Dependency`.
    `void` | `setChecksumSha256(String checksumSha256)` Establish the checksumSha1256 for the `Dependency`.
    `void` | `setName(String name)` Establish the name for the `Dependency`.
    `void` | `setUrl(String url)` Establish the url for the `Dependency`.
    `void` | `setVersion(String version)` Establish the version for the `Dependency`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Dependency

          public Dependency()

      Default constructor for serialization frameworks.

    - #### Dependency

          public Dependency(String name,
                            String version,
                            String checksumsha1,
                            String checksumsha256,
                            String url)

  - ### Method Detail

    - #### getName

          public String getName()

      Retrieve the current name for the `Dependency`
      Returns:
        the name for the `Dependency`

    - #### setName

          public void setName(String name)

      Establish the name for the `Dependency`.
      Parameters:
        `name` - `String` representing the name.

    - #### getVersion

          public String getVersion()

      Retrieve the current version for the `Dependency`
      Returns:
        the version for the `Dependency`

    - #### setVersion

          public void setVersion(String version)

      Establish the version for the `Dependency`.
      Parameters:
        `version` - `String` representing the version.

    - #### getChecksumSha1

          public String getChecksumSha1()

      Retrieve the current checksumSha1 for the `Dependency`
      Returns:
        the checksumSha1 for the `Dependency`

    - #### setChecksumSha1

          public void setChecksumSha1(String checksumSha1)

      Establish the checksumSha1 for the `Dependency`.
      Parameters:
        `checksumSha1` - `String` representing the checksumSha1.

    - #### getUrl

          public String getUrl()

      Retrieve the current url for the `Dependency`
      Returns:
        the url for the `Dependency`

    - #### setUrl

          public void setUrl(String url)

      Establish the url for the `Dependency`.
      Parameters:
        `url` - `String` representing the url.

    - #### getChecksumSha256

          public String getChecksumSha256()

      Retrieve the current checksumSha256 for the `Dependency`
      Returns:
        the checksumSha256 for the `Dependency`

    - #### setChecksumSha256

          public void setChecksumSha256(String checksumSha256)

      Establish the checksumSha1256 for the `Dependency`.
      Parameters:
        `checksumSha256` - `String` representing the checksumSha256.

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.